commit b54a9ab7c4ad113eb14d8211807e8c36257472d3
Author: freddy77 <freddy77>
Date:   Thu Aug 27 12:32:14 2009 +0000

    update genparams test

diff --git a/ChangeLog b/ChangeLog
index 6558e6f..0edb58c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Aug 27 14:31:52 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/genparams.c: update genparams test
+
 Wed Aug 26 14:31:33 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/sql2tds.c src/odbc/unittests/genparams.c src/tds/data.c:
 	* src/tds/query.c src/tds/tds_checks.c src/tds/token.c:
@@ -1813,4 +1816,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2862 2009/08/26 12:32:11 freddy77 Exp $
+$Id: ChangeLog,v 1.2863 2009/08/27 12:32:14 freddy77 Exp $
diff --git a/src/odbc/unittests/genparams.c b/src/odbc/unittests/genparams.c
index 29ba46d..c3eaa8d 100644
--- a/src/odbc/unittests/genparams.c
+++ b/src/odbc/unittests/genparams.c
@@ -18,7 +18,7 @@
  * Also we have to check normal char and wide char
  */
 
-static char software_version[] = "$Id: genparams.c,v 1.44 2009/08/26 12:32:11 freddy77 Exp $";
+static char software_version[] = "$Id: genparams.c,v 1.45 2009/08/27 12:32:14 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef TDS_NO_DM
@@ -297,11 +297,12 @@ AllTests(void)
 	TestOutput("NUMERIC(18,2)", "123", SQL_C_NUMERIC, SQL_NUMERIC, "38 0 1 7B");
 	TestInput(SQL_C_LONG, "INTEGER", SQL_VARCHAR, "VARCHAR(20)", "12345");
 	TestInput(SQL_C_LONG, "INTEGER", SQL_LONGVARCHAR, "TEXT", "12345");
-	/* MS driver behavior for output parameters is different */
+	/*
+	 * MS driver behavior for output parameters is different
+	 * former returns "313233" while newer "333133323333"
+	 */
 	if (driver_is_freetds())
 		TestOutput("VARCHAR(20)", "313233", SQL_C_BINARY, SQL_VARCHAR, "333133323333");
-	else
-		TestOutput("VARCHAR(20)", "313233", SQL_C_BINARY, SQL_VARCHAR, "313233");
 	/* FIXME our driver ignore precision for date */
 	precision = 3;
 	/* Some MS driver incorrectly prepare with smalldatetime*/
@@ -435,9 +436,6 @@ AllTests(void)
 	if (db_is_microsoft() && db_version_int() >= 0x09000000u) {
 		TestInput(SQL_C_CHAR, "VARCHAR(20)", SQL_LONGVARCHAR, "VARCHAR(MAX)", "1EasyTest");
 		TestInput(SQL_C_BINARY, "VARBINARY(20)", SQL_LONGVARBINARY, "VARBINARY(MAX)", "Anything will suite!");
-#ifdef ENABLE_DEVELOPING
-		TestInput(SQL_C_CHAR, "VARCHAR(20)", SQL_LONGVARCHAR, "VARBINARY(MAX)", "1EasyTest");
-#endif
 	}
 }
 

